Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

All other Modules

Discuss all other Modules here.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Problem with Diary Module


Reply

6 Posts   1336 Views

Avatar
jamieda

13 July 2010 at 10:49pm (Last edited: 13 July 2010 10:58pm), Community Member, 2 Posts

Hi,

Using 2.4.0 Stable with Diary Module. The Diary tab has appeared on site with Diary widget and Event calendar. However, when I try to add an event on the Events tab of the Diary Holder, the following message appears:

Fatal error: Class 'CalendarDateField' not found in C:\wamp\www\ss\diary\code\DiaryEvent.php on line 27

Appreciate if someone could please advise what the problem is and how I can fix it.

Thanks.

Avatar
Willr

14 July 2010 at 11:10pm Forum Moderator, 5511 Posts

Sounds like the module has not been updated to work with 2.4.0 (or you need to install the legacydatetimefields module - http://silverstripe.org/legacydatetimefields-module/)

If you run into more issues with the module (even with the legacydatetimefields module installed) I suggest you email the modules owner and ask them politely to see if they plan on updating it to work with 2.4.

Avatar
Nivanka

15 July 2010 at 2:58am Community Member, 395 Posts

hi,

I didnt have much time to get this module tested or updated for the SilverStripe 2.4. I will get it going soon. sorry about not being able to look into that. Flooded under work as always :)

If you can give me couple of days I can do it.

Willr: thanks for replying for the thread.

Cheers

Avatar
jamieda

15 July 2010 at 3:52pm Community Member, 2 Posts

Thanks for the response guys...much appreciated. I installed the legacy date/time fields module and from my limited testing so far, all seems to be good. I'll advise if it is not.

Avatar
Nivanka

17 July 2010 at 8:57pm Community Member, 395 Posts

Hi,

I created a new code repository on Google Codes, and updated the module page.

https://silverstripediary.googlecode.com/svn/trunk/
http://www.silverstripe.org/diary-module/

Removed the CalendarDate Fields and did some testing on 2.4, and I think you can download the latest trunk build from the module page.

Sorry for the inconvenience.

Cheers

Nivanka

Avatar
Nivanka

17 July 2010 at 8:58pm Community Member, 395 Posts

also one more thing to add,

You dont need the legacydatetimefields module to run the version on trunk.

cheers